pcl::visualization::PointCloudGeometryHandlerXYZ< PointT > Class Template Reference
Module visualization

XYZ handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >:

## Public Types

typedef PointCloudGeometryHandler< PointT >::PointCloud | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandlerXYZ< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandlerXYZ< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudGeometryHandlerXYZ (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandlerXYZ ()
| Destructor. More...
virtual std::string | getName () const
| Class getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
bool | isCapable () const
| Checl if this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >

XYZ handler class for PointCloud geometry.

Given an input dataset, all XYZ data present in fields "x", "y", and "z" is extracted and displayed on screen.

Author
  Radu B. Rusu

Definition at line 139 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const PointCloudGeometryHandlerXYZ<PointT> > pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::ConstPtr

Definition at line 147 of file point_cloud_geometry_handlers.h.

## PointCloud

template<typename PointT>

typedef PointCloudGeometryHandler<PointT>::PointCloud pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloud

Definition at line 142 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

template<typename PointT>

typedef PointCloud::ConstPtr pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudConstPtr

Definition at line 144 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

template<typename PointT>

typedef PointCloud::Ptr pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudPtr

Definition at line 143 of file point_cloud_geometry_handlers.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<PointCloudGeometryHandlerXYZ<PointT> > pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::Ptr

Definition at line 146 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerXYZ()

template<typename PointT >

pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

Definition at line 46 of file point_cloud_geometry_handlers.hpp.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::fields_, and pcl::getFieldIndex().

## ~PointCloudGeometryHandlerXYZ()

template<typename PointT>

virtual pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::~PointCloudGeometryHandlerXYZ | ( |  | ) |

inline virtual

Destructor.

Definition at line 153 of file point_cloud_geometry_handlers.h.

## Member Function Documentation

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 161 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::getGeometry().

## getGeometry()

template<typename PointT >

void pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 63 of file point_cloud_geometry_handlers.hpp.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, and pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 157 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_geometry_handlers.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/impl/point_cloud_geometry_handlers.hpp